---
command: main.nf
pipelineContainer: 'bioinformant/simple_assembly_runner:1.0'
pipelineDependencies: 'bioinformant/simple_assembly:1.0'
parameters:
  -
    name: input_dir
    label: Input data directory
    type: file
    required: true
  -
    name: output_dir
    label: Output data directory
    type: file
    required: true
  -
    name: fastq_pattern
    label: Pattern to match fastq reads
    type: text
    default: '*{R,_}{1,2}*.fastq.gz'
  -
    name: kmers
    label: Range of kmers used by SPAdes
    type: text
    default: '21,33,43,53,63,75'
